#!/bin/sh

[ -z "$_GET[\"order\"]" ] && _GET["order"]=DOW

listcards() {
  ls -1 ${_DATA}/vcard/*vcf 2>/dev/null |while read file; do
    fn=$(sed -rn 's:^N(;.+)*\:([^;]*;){1} *([^;]*).*$:\3:p' "$file")
    echo "$fn\t$file"
  done |sort |sed -r 's:^.*\t(.*/)([^/]+)$:\2:'
}

listcourses() {
  ls -1 ${_DATA}/ical/*ics |while read file; do
    icstime="$(sed -rn 's:^DTSTART\:(TZID=.*\:)?([0-9]{4})([0-9]{2})([0-9]{2})T([0-9]{2})([0-9]{2})([0-9]{2})Z?\r$:\2-\3-\4 \5\:\6\:\7:p' "$file")"
    echo "$(date -d "$icstime" "+%u %H%M%S")\t$file"
  done |sort |sed -r 's:^.*\t(.*/)([^/]+)$:\2:'
}

case "$1" in
  title)
    echo "Email"
  ;;
  css)
    . ${_EXEC}/templates/email.css.sh
  ;;
  body)
    . ${_EXEC}/templates/text_email.sh
    . ${_EXEC}/templates/email.html.sh
  ;;
esac
  
